# 2022-2023 - David TOCAVEN
# Les tuples
# Correction de l'exercice 2 

# Source de l'exercice : https://www.numerique-sciences-informatiques.fr/puplets.php

"""
Exercice 2 : 
Avec des tuples de tuples qui contiennent le prénom et l'âge de plusieurs personnes, faire afficher 'bonjour Alim tu as 17 ans', et ainsi de suite pour les autres.
"""

# version normale
print("Version normale")
# Trois tuples contenant les prénoms (str) et ages (int) de trois personnes
P1 = ('Abdou', 14)
P2 = ("YOFILS", 5)
P3 = ('Stiv', 11)
# tuple contenant les 3 personnes
gens = (P1, P2, P3)
# Affichage
for i in gens:
	print("bonjour", i[0], " tu as", i[1], " ans, ", end="")






# version avec namedtuple

from collections import namedtuple

print("\nVersion avec namedtuple")
# namedtuple personne contenant un prénom (str) et son age (int)
Personne = namedtuple('personne','prenom age') 
# les trois personnes
P1 = Personne('Abdou', 14)
P2 = Personne("YOFILS", 5)
P3 = Personne('Stiv', 11)
# tuple contenant les 3 personnes
gens = (P1, P2, P3)
# Affichage
for i in gens:
	print("bonjour", i.prenom, " tu as", i.age, " ans, ", end="")

